<?php

namespace Drupal\private_message\Controller;

interface PrivateMessageControllerInterface {

  /**
   * The Private message page on which users will be able to create, view, and reply
   * to private messages.
   *
   * @param int|bool $private_message_thread_id
   *   The ID of the private message thread to show, or FALSE if
   *   the most recent message should be shown (default)
   */
  public function privateMessagePage($private_message_thread_id = FALSE);

  /**
   * The page on which settings specific to private message entities can be adjusted
   */
  public function pmSettingsPage();

  /**
   * The page on which settings specific to private message threads can be adjusted
   */
  public function pmThreadSettingsPage();

  /**
   * The page on which preparation of the uninstallation of the private message module
   * can be executed.
   */
  public function adminUninstallPage();
}
